Subject: Re: On git 1.6 (novice's opinion)

From: Junio C Hamano <[email-masked]>
Date: Fri, 27 Mar 2009 18:30:49 -0700

"Ulrich Windl" <[email-masked]> writes:

> AFAIK, "committing" in git is "kind of publishing your work" (others may
> pull it).

You, like all the other people who worked with centralized systems for too
long, need a break from this misconception.  Once you get rid of it, you
will realize that the separation of commit (which is merely "recording so
that you can later refer to it, including for the purposes of going back
to it, comparing something else with it and merge something else with it")
and push (which is the "publishing" part) is the fundamental difference
between centralized and distributed systems.  It frees you from having to
worry about the "damned if you commit, damned if you don't" issue I
mentioned in my other message.